@Echo Off
Echo Patching to run Doom Hockey!
Echo To switch back to normal Doom,
Echo run this AGAIN, and we swap it back
Echo by copying normal.exe back to doom.exe
if not exist doom.exe goto error
if exist normal.exe goto back
Echo Copying Doom.exe to normal.exe
copy doom.exe normal.exe
Echo Patching for Hockey Doom! Godmode ON! 
hack.exe patch.hky doom.exe > nul
goto end
:back
echo Swapping back to Normal Doom
del doom.exe
copy normal.exe doom.exe
del normal.exe
goto end
:error
Echo Please apply this patch from your DOOM directory
:end
